Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Interface RemotableQuartzScheduler

All Superinterfaces:
  Remote

All Known Implementing Classes:
  QuartzScheduler

public interface RemotableQuartzScheduler
extends Remote

Author:
  James House

Method Summary
`void` | `addCalendar(SchedulingContext ctxt, String calName, Calendar calendar, boolean replace, boolean updateTriggers)`
`void` | `addGlobalJobListener(JobListener jobListener)`
`void` | `addGlobalTriggerListener(TriggerListener triggerListener)`
`void` | `addJob(SchedulingContext ctxt, JobDetail jobDetail, boolean replace)`
`void` | `addJobListener(JobListener jobListener)`
`void` | `addSchedulerListener(SchedulerListener schedulerListener)`
`void` | `addTriggerListener(TriggerListener triggerListener)`
`boolean` | `deleteCalendar(SchedulingContext ctxt, String calName)`
`boolean` | `deleteJob(SchedulingContext ctxt, String jobName, String groupName)`
`Calendar` | `getCalendar(SchedulingContext ctxt, String calName)`
`String[]` | `getCalendarNames(SchedulingContext ctxt)`
`List` | `getCurrentlyExecutingJobs()`
`List` | `getGlobalJobListeners()`
`List` | `getGlobalTriggerListeners()`
`JobDetail` | `getJobDetail(SchedulingContext ctxt, String jobName, String jobGroup)`
`String[]` | `getJobGroupNames(SchedulingContext ctxt)`
`JobListener` | `getJobListener(String name)`
`Set` | `getJobListenerNames()`
`String[]` | `getJobNames(SchedulingContext ctxt, String groupName)`
`Class` | `getJobStoreClass()`
`Set` | `getPausedTriggerGroups(SchedulingContext ctxt)`
`SchedulerContext` | `getSchedulerContext()`
`String` | `getSchedulerInstanceId()`
`List` | `getSchedulerListeners()`
`String` | `getSchedulerName()`
`Class` | `getThreadPoolClass()`
`int` | `getThreadPoolSize()`
`Trigger` | `getTrigger(SchedulingContext ctxt, String triggerName, String triggerGroup)`
`String[]` | `getTriggerGroupNames(SchedulingContext ctxt)`
`TriggerListener` | `getTriggerListener(String name)`
`Set` | `getTriggerListenerNames()`
`String[]` | `getTriggerNames(SchedulingContext ctxt, String groupName)`
`Trigger[]` | `getTriggersOfJob(SchedulingContext ctxt, String jobName, String groupName)`
`int` | `getTriggerState(SchedulingContext ctxt, String triggerName, String triggerGroup)`
`String` | `getVersion()`
`boolean` | `interrupt(SchedulingContext ctxt, String jobName, String groupName)`
`boolean` | `isInStandbyMode()`
`boolean` | `isShutdown()`
`int` | `numJobsExecuted()`
`void` | `pauseAll(SchedulingContext ctxt)`
`void` | `pauseJob(SchedulingContext ctxt, String jobName, String groupName)`
`void` | `pauseJobGroup(SchedulingContext ctxt, String groupName)`
`void` | `pauseTrigger(SchedulingContext ctxt, String triggerName, String groupName)`
`void` | `pauseTriggerGroup(SchedulingContext ctxt, String groupName)`
`boolean` | `removeGlobalJobListener(JobListener jobListener)`
`boolean` | `removeGlobalTriggerListener(TriggerListener triggerListener)`
`boolean` | `removeJobListener(String name)`
`boolean` | `removeSchedulerListener(SchedulerListener schedulerListener)`
`boolean` | `removeTriggerListener(String name)`
`Date` | `rescheduleJob(SchedulingContext ctxt, String triggerName, String groupName, Trigger newTrigger)`
`void` | `resumeAll(SchedulingContext ctxt)`
`void` | `resumeJob(SchedulingContext ctxt, String jobName, String groupName)`
`void` | `resumeJobGroup(SchedulingContext ctxt, String groupName)`
`void` | `resumeTrigger(SchedulingContext ctxt, String triggerName, String groupName)`
`void` | `resumeTriggerGroup(SchedulingContext ctxt, String groupName)`
`Date` | `runningSince()`
`Date` | `scheduleJob(SchedulingContext ctxt, JobDetail jobDetail, Trigger trigger)`
`Date` | `scheduleJob(SchedulingContext ctxt, Trigger trigger)`
`void` | `shutdown()`
`void` | `shutdown(boolean waitForJobsToComplete)`
`void` | `standby()`
`void` | `start()`
`boolean` | `supportsPersistence()`
`void` | `triggerJob(SchedulingContext ctxt, String jobName, String groupName, JobDataMap data)`
`void` | `triggerJobWithVolatileTrigger(SchedulingContext ctxt, String jobName, String groupName, JobDataMap data)`
`boolean` | `unscheduleJob(SchedulingContext ctxt, String triggerName, String groupName)`

Method Detail

### getSchedulerName

    public String getSchedulerName()
                            throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerInstanceId

    public String getSchedulerInstanceId()
                                  throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerContext

    public SchedulerContext getSchedulerContext()
                                         throws SchedulerException,
                                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### start

    public void start()
               throws SchedulerException,
                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### standby

    public void standby()
                 throws RemoteException

  Throws:
    `RemoteException`

### isInStandbyMode

    public boolean isInStandbyMode()
                            throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    public void shutdown()
                  throws RemoteException

  Throws:
    `RemoteException`

### shutdown

    public void shutdown(boolean waitForJobsToComplete)
                  throws RemoteException

  Throws:
    `RemoteException`

### isShutdown

    public boolean isShutdown()
                       throws RemoteException

  Throws:
    `RemoteException`

### runningSince

    public Date runningSince()
                      throws RemoteException

  Throws:
    `RemoteException`

### getVersion

    public String getVersion()
                      throws RemoteException

  Throws:
    `RemoteException`

### numJobsExecuted

    public int numJobsExecuted()
                        throws RemoteException

  Throws:
    `RemoteException`

### getJobStoreClass

    public Class getJobStoreClass()
                           throws RemoteException

  Throws:
    `RemoteException`

### supportsPersistence

    public boolean supportsPersistence()
                                throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolClass

    public Class getThreadPoolClass()
                             throws RemoteException

  Throws:
    `RemoteException`

### getThreadPoolSize

    public int getThreadPoolSize()
                          throws RemoteException

  Throws:
    `RemoteException`

### getCurrentlyExecutingJobs

    public List getCurrentlyExecutingJobs()
                                   throws SchedulerException,
                                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    public Date scheduleJob(SchedulingContext ctxt,
                            JobDetail jobDetail,
                            Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### scheduleJob

    public Date scheduleJob(SchedulingContext ctxt,
                            Trigger trigger)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addJob

    public void addJob(SchedulingContext ctxt,
                       JobDetail jobDetail,
                       boolean replace)
                throws SchedulerException,
                       RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteJob

    public boolean deleteJob(SchedulingContext ctxt,
                             String jobName,
                             String groupName)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### unscheduleJob

    public boolean unscheduleJob(SchedulingContext ctxt,
                                 String triggerName,
                                 String groupName)
                          throws SchedulerException,
                                 RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### rescheduleJob

    public Date rescheduleJob(SchedulingContext ctxt,
                              String triggerName,
                              String groupName,
                              Trigger newTrigger)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJob

    public void triggerJob(SchedulingContext ctxt,
                           String jobName,
                           String groupName,
                           JobDataMap data)
                    throws SchedulerException,
                           RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### triggerJobWithVolatileTrigger

    public void triggerJobWithVolatileTrigger(SchedulingContext ctxt,
                                              String jobName,
                                              String groupName,
                                              JobDataMap data)
                                       throws SchedulerException,
                                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTrigger

    public void pauseTrigger(SchedulingContext ctxt,
                             String triggerName,
                             String groupName)
                      throws SchedulerException,
                             RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseTriggerGroup

    public void pauseTriggerGroup(SchedulingContext ctxt,
                                  String groupName)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJob

    public void pauseJob(SchedulingContext ctxt,
                         String jobName,
                         String groupName)
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseJobGroup

    public void pauseJobGroup(SchedulingContext ctxt,
                              String groupName)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTrigger

    public void resumeTrigger(SchedulingContext ctxt,
                              String triggerName,
                              String groupName)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeTriggerGroup

    public void resumeTriggerGroup(SchedulingContext ctxt,
                                   String groupName)
                            throws SchedulerException,
                                   RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getPausedTriggerGroups

    public Set getPausedTriggerGroups(SchedulingContext ctxt)
                               throws SchedulerException,
                                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJob

    public void resumeJob(SchedulingContext ctxt,
                          String jobName,
                          String groupName)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeJobGroup

    public void resumeJobGroup(SchedulingContext ctxt,
                               String groupName)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### pauseAll

    public void pauseAll(SchedulingContext ctxt)
                  throws SchedulerException,
                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### resumeAll

    public void resumeAll(SchedulingContext ctxt)
                   throws SchedulerException,
                          RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobGroupNames

    public String[] getJobGroupNames(SchedulingContext ctxt)
                              throws SchedulerException,
                                     RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobNames

    public String[] getJobNames(SchedulingContext ctxt,
                                String groupName)
                         throws SchedulerException,
                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggersOfJob

    public Trigger[] getTriggersOfJob(SchedulingContext ctxt,
                                      String jobName,
                                      String groupName)
                               throws SchedulerException,
                                      RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerGroupNames

    public String[] getTriggerGroupNames(SchedulingContext ctxt)
                                  throws SchedulerException,
                                         RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerNames

    public String[] getTriggerNames(SchedulingContext ctxt,
                                    String groupName)
                             throws SchedulerException,
                                    RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getJobDetail

    public JobDetail getJobDetail(SchedulingContext ctxt,
                                  String jobName,
                                  String jobGroup)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTrigger

    public Trigger getTrigger(SchedulingContext ctxt,
                              String triggerName,
                              String triggerGroup)
                       throws SchedulerException,
                              RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getTriggerState

    public int getTriggerState(SchedulingContext ctxt,
                               String triggerName,
                               String triggerGroup)
                        throws SchedulerException,
                               RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addCalendar

    public void addCalendar(SchedulingContext ctxt,
                            String calName,
                            Calendar calendar,
                            boolean replace,
                            boolean updateTriggers)
                     throws SchedulerException,
                            RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### deleteCalendar

    public boolean deleteCalendar(SchedulingContext ctxt,
                                  String calName)
                           throws SchedulerException,
                                  RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendar

    public Calendar getCalendar(SchedulingContext ctxt,
                                String calName)
                         throws SchedulerException,
                                RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### getCalendarNames

    public String[] getCalendarNames(SchedulingContext ctxt)
                              throws SchedulerException,
                                     RemoteException

  Throws:
    `SchedulerException`
    `RemoteException`

### addGlobalJobListener

    public void addGlobalJobListener(JobListener jobListener)
                              throws RemoteException

  Throws:
    `RemoteException`

### addJobListener

    public void addJobListener(JobListener jobListener)
                        throws RemoteException

  Throws:
    `RemoteException`

### removeGlobalJobListener

    public boolean removeGlobalJobListener(JobListener jobListener)
                                    throws RemoteException

  Throws:
    `RemoteException`

### removeJobListener

    public boolean removeJobListener(String name)
                              throws RemoteException

  Throws:
    `RemoteException`

### getGlobalJobListeners

    public List getGlobalJobListeners()
                               throws RemoteException

  Throws:
    `RemoteException`

### getJobListenerNames

    public Set getJobListenerNames()
                            throws RemoteException

  Throws:
    `RemoteException`

### getJobListener

    public JobListener getJobListener(String name)
                               throws RemoteException

  Throws:
    `RemoteException`

### addGlobalTriggerListener

    public void addGlobalTriggerListener(TriggerListener triggerListener)
                                  throws RemoteException

  Throws:
    `RemoteException`

### addTriggerListener

    public void addTriggerListener(TriggerListener triggerListener)
                            throws RemoteException

  Throws:
    `RemoteException`

### removeGlobalTriggerListener

    public boolean removeGlobalTriggerListener(TriggerListener triggerListener)
                                        throws RemoteException

  Throws:
    `RemoteException`

### removeTriggerListener

    public boolean removeTriggerListener(String name)
                                  throws RemoteException

  Throws:
    `RemoteException`

### getGlobalTriggerListeners

    public List getGlobalTriggerListeners()
                                   throws RemoteException

  Throws:
    `RemoteException`

### getTriggerListenerNames

    public Set getTriggerListenerNames()
                                throws RemoteException

  Throws:
    `RemoteException`

### getTriggerListener

    public TriggerListener getTriggerListener(String name)
                                       throws RemoteException

  Throws:
    `RemoteException`

### addSchedulerListener

    public void addSchedulerListener(SchedulerListener schedulerListener)
                              throws RemoteException

  Throws:
    `RemoteException`

### removeSchedulerListener

    public boolean removeSchedulerListener(SchedulerListener schedulerListener)
                                    throws RemoteException

  Throws:
    `RemoteException`

### getSchedulerListeners

    public List getSchedulerListeners()
                               throws RemoteException

  Throws:
    `RemoteException`

### interrupt

    public boolean interrupt(SchedulingContext ctxt,
                             String jobName,
                             String groupName)
                      throws UnableToInterruptJobException,
                             RemoteException

  Throws:
    `UnableToInterruptJobException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD